#include<iostream>
using namespace std;
int main(){
int a;
cin>>a;
bool yt=0;
long long b[a],c[a],ex,mx2=0,lgg;
for(int i=0;i<a;i++){
    cin>>b[i];
}
for(int r=0;r<a-1;r++){

    for(int lg=2;lg<=a-r;lg++){

            for(int i=r;i<r+lg;i++){

                c[i-r]=b[i];
            }
        for(int i=0;i<lg;i++){

            for(int y=1;y<lg;y++){

                if(c[y]>c[y-1]){
                    ex=c[y];
                    c[y]=c[y-1];
                    c[y-1]=ex;
                }
            }
        }
        if(yt==0){
            mx2=c[1];
            lgg=lg;
            yt=1;
        } else {
        if(c[1]-lg>mx2-lgg){
            mx2=c[1];
            lgg=lg;
        }
        }
    }
}

cout<<mx2-lgg;
return 0;}
